These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

Linux

 
  • Topic is locked indefinitely.
 

EVE Launcher for Linux

First post First post
Author
Sabrina Winslow
Galactic Board of Price Equalization
#661 - 2017-07-02 17:51:14 UTC
I thiiiink I figured it out... I feel a bit stupid now.

Re-replaced the symlinks for libssl.so, libssl.so.1.0.0, libcrypto.so and libcrypto.so.1.0.0, and the launcher opens now and game runs fine now. I'm pretty sure it is the same issue on my desktop.

Moral of the story: Make sure to re-create symlinks whenever EvE updates, because they apparently get overwritten.
Alexander Kaan
Quietly lurking at the Edge of Infinity
#662 - 2017-07-13 07:24:02 UTC
I'm stuck at 'Resource loading' spinning circle after logging in, tried all the wine choices from the client dropdown and still no luck. Everything was working fine pre-patch
NeedTheFreeForNewShipMen
Republic University
Minmatar Republic
#663 - 2017-07-19 17:30:39 UTC
Ailatan wrote:
Ailatan wrote:
I have updated to Debian 9 Stretch today and launcher is not working. No error messages in console, it just wait infinitely after typing: ./evelauncher.sh

Any ideas? Anybody have this problem too?


Solved copying: libssl.so.1.0.2 and libcrypto.so.1.0.2 are in /usr/lib/x86_64linux-gnu/ into launcher folder and renaming them without version.


Thank you, worked a treat after doing this on Arch
Rofgar Aivenmayer
Proletariat.
Domain Research and Mining Inst.
#664 - 2017-07-20 11:16:54 UTC
Thank you! Works great!
I really hope you guys one day will ship us a Linux Native Client. :)
Ubuntu 16.04, i5-4690K, GTX 770.
Deleted Graviton
Doomheim
#665 - 2017-07-25 17:44:20 UTC
Hello,

i have two questions.

1)
How can I specify the Install. Folder?

2)
After start the .sh i dont see the Launcher.
The copy from libssl . so. 1. 0. 2 and libcrypto . so. 1. 0. 2 only one week has helped.


I wish a nice day.
Ravow
Hell For French
Deep Space Alliance
#666 - 2017-07-25 18:53:20 UTC
Deleted Graviton wrote:
Hello,

i have two questions.

1)
How can I specify the Install. Folder?

2)
After start the .sh i dont see the Launcher.
The copy from libssl . so. 1. 0. 2 and libcrypto . so. 1. 0. 2 only one week has helped.


I wish a nice day.


1> You can't, but you can specify where to put the resources files I think.
2> I pass on that one, I never ever got that kind of issue on Gentoo Linux.
Trisoldee Ituralde
Science and Trade Institute
Caldari State
#667 - 2017-07-27 02:49:57 UTC
Hi everyone,

Brand new to the game and only slightly less new to linux.

I've installed the launcher and everything has been working fine but I was hoping someone could point me in the right direction of how to create a shortcut for the launcher instead of having to bring it up in the terminal every time.

Currently running ubuntu 16.04

Thank you in advance.
Rufus Egnald
Doomheim
#668 - 2017-07-29 01:06:30 UTC  |  Edited by: Rufus Egnald
Recently switched to Linux and trying to get back into the game.

Using Linux Mint 18.1 Cinnamon 64-bit.

I have several problems, I cant seem to get this to work.

I have the launcher extracted to an evelauncher folder in home directory. /Home/evelauncher/evelauncher.sh

Seems when I try to use chmod command it cannot find evelauncher.sh (file or directory not found)

Also when I try to use the terminal command it wont launch, goes on and on about not finding steam or local clients.

It does, however, launch directly from evelauncher.sh. The problem here is it goes right to trying to access the game (collecting data...). I don't have the game installed yet.

Am I supposed to install the game (windows version) first, then delete the old launcher then do this? Isn't the launcher supposed to install the game itself?

And what am I not doing right where Terminal command is not finding evelauncher.sh


I tried both Uniwiki's advice of u+x and a linux mint site suggesting +x,
~ $ chmod u+x evelauncher.sh
chmod: cannot access 'evelauncher.sh': No such file or directory
~ $ chmod +x evelauncher.sh
chmod: cannot access 'evelauncher.sh': No such file or directory


I did try using Crossweaver Crossover separately but it keeps failing due to Microsoft Script 5.7 missing. All I get is a blank green screen for the launcher. Tried installing the 5.7 script dependency and it just sits there spinning it's wheels.
Master Bitcoin
Pator Tech School
Minmatar Republic
#669 - 2017-07-29 09:13:33 UTC
Ailatan wrote:
I have updated to Debian 9 Stretch today and launcher is not working. No error messages in console, it just wait infinitely after typing: ./evelauncher.sh

Any ideas? Anybody have this problem too?

That same
Thx for help in next post
Lucius Kalkoken
Ubiquitous Hurt
The WeHurt Initiative
#670 - 2017-07-30 12:24:57 UTC
Trisoldee Ituralde wrote:
Hi everyone,

Brand new to the game and only slightly less new to linux.

I've installed the launcher and everything has been working fine but I was hoping someone could point me in the right direction of how to create a shortcut for the launcher instead of having to bring it up in the terminal every time.

Currently running ubuntu 16.04

Thank you in advance.


https://forums.eveonline.com/default.aspx?g=posts&m=6536378#post6536378

That post has instructions on how to make a shortcut

There is no shame in not knowing, only in not wanting to know

Deleted Graviton
Doomheim
#671 - 2017-07-31 12:20:31 UTC
Master Bitcoin wrote:
Ailatan wrote:
I have updated to Debian 9 Stretch today and launcher is not working. No error messages in console, it just wait infinitely after typing: ./evelauncher.sh

Any ideas? Anybody have this problem too?

That same
Thx for help in next post


Same her.
Could you find a solution? I find nothing.
Deleted Graviton
Doomheim
#672 - 2017-07-31 18:20:07 UTC  |  Edited by: Deleted Graviton
Deleted Graviton wrote:
Master Bitcoin wrote:
Ailatan wrote:
I have updated to Debian 9 Stretch today and launcher is not working. No error messages in console, it just wait infinitely after typing: ./evelauncher.sh


Any ideas? Anybody have this problem too?

That same
Thx for help in next post


I have a solution:

After install of
libssl1.0-dev
open the Launcher.

I must remove the
libssl-dev [1.1.0f-3 (now, stable)]
.
BAXT sensi
Aliastra
Gallente Federation
#673 - 2017-07-31 21:34:49 UTC
i have had some problems with this and would hope that someone can help..

i have a error log file that i can share but the output is to big for this page